import request from '@/router/axios';

export const getPage = (current, size, params) => {
    return request({
        url: '/api/galaxy-test/rtu/check/order/page',
        method: 'get',
        params: {
            ...params,
            current,
            size,
        }
    })
}

export const remove = (ids) => {
    return request({
        url: '/api/galaxy-test/rtu/check/order/remove',
        method: 'post',
        params: {
            ids,
        }
    })
}

export const add = (row) => {
    return request({
        url: '/api/galaxy-test/rtu/check/order/save',
        method: 'post',
        data: row
    })
}

export const update = (row) => {
    return request({
        url: '/api/galaxy-test/rtu/check/order/update',
        method: 'post',
        data: row
    })
}

export const getDetail = (id) => {
    return request({
        url: '/api/galaxy-test/rtu/check/order/detail',
        method: 'get',
        params: {
            id
        }
    })
}


export const orderClose = (params) => {
    return request({
        url: '/api/galaxy-test/rtu/check/order/close',
        method: 'post',
        params: {
            ...params,
        }
    })
}



